diff --git a/src/actionManager.cpp b/src/actionManager.cpp
index 3103eb4..8fa5ee7 100644
--- a/src/actionManager.cpp
+++ b/src/actionManager.cpp
@@ -16,6 +16,7 @@
 #include "actionManager.h"
 
 #include "action.h"
+#include "common.h"
 #include "coverWidget.h"
 #include "mainWindow.h"
 #include "playbackEngineInterface.h"
@@ -26,6 +27,7 @@
 #include "trash.h"
 
 #include <QApplication>
+#include <QDir>
 #include <QMenu>
 #include <QMenuBar>
 #include <QMessageBox>
@@ -65,7 +68,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         showHideAction->setObjectName("ShowHideAction");
         showHideAction->setStatusTip(tr("Toggle window visibility"));
         showHideAction->setCustomizable(true);
-        connect(showHideAction, &NAction::triggered, player, &NPlayer::toggleWindowVisibility);
+        connect(showHideAction, SIGNAL(triggered()), player, SLOT(toggleWindowVisibility()));
         m_trayIconMenu->addAction(showHideAction);
     }
 
@@ -79,8 +82,8 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         playAction->setObjectName("PlayAction");
         playAction->setStatusTip(tr("Start playback"));
         playAction->setCustomizable(true);
-        connect(playAction, &NAction::triggered, player->playbackEngine(),
-                &NPlaybackEngineInterface::play);
+        connect(playAction, SIGNAL(triggered()), player->playbackEngine(),
+                SLOT(play()));
         m_trayIconMenu->addAction(playAction);
         controlsMenu->addAction(playAction);
     }
@@ -93,8 +96,8 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         pauseAction->setObjectName("PauseAction");
         pauseAction->setStatusTip(tr("Pause playback"));
         pauseAction->setCustomizable(true);
-        connect(pauseAction, &NAction::triggered, player->playbackEngine(),
-                &NPlaybackEngineInterface::pause);
+        connect(pauseAction, SIGNAL(triggered()), player->playbackEngine(),
+                SLOT(pause()));
         m_trayIconMenu->addAction(pauseAction);
         controlsMenu->addAction(pauseAction);
     }
@@ -107,7 +110,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         playPauseAction->setObjectName("PlayPauseAction");
         playPauseAction->setStatusTip(tr("Toggle playback"));
         playPauseAction->setCustomizable(true);
-        connect(playPauseAction, &NAction::triggered, player, &NPlayer::playPause);
+        connect(playPauseAction, SIGNAL(triggered()), player, SLOT(playPause()));
         m_trayIconMenu->addAction(playPauseAction);
         controlsMenu->addAction(playPauseAction);
     }
@@ -120,8 +123,8 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         stopAction->setObjectName("StopAction");
         stopAction->setStatusTip(tr("Stop playback"));
         stopAction->setCustomizable(true);
-        connect(stopAction, &NAction::triggered, player->playbackEngine(),
-                &NPlaybackEngineInterface::stop);
+        connect(stopAction, SIGNAL(triggered()), player->playbackEngine(),
+                SLOT(stop()));
         m_trayIconMenu->addAction(stopAction);
         controlsMenu->addAction(stopAction);
     }
@@ -134,8 +137,8 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         prevAction->setObjectName("PrevAction");
         prevAction->setStatusTip(tr("Play previous track in playlist"));
         prevAction->setCustomizable(true);
-        connect(prevAction, &NAction::triggered, player->playlistWidget(),
-                &NPlaylistWidget::playPrevItem);
+        connect(prevAction, SIGNAL(triggered()), player->playlistWidget(),
+                SLOT(playPrevItem()));
         m_trayIconMenu->addAction(prevAction);
         controlsMenu->addAction(prevAction);
     }
@@ -148,8 +151,8 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         nextAction->setObjectName("NextAction");
         nextAction->setStatusTip(tr("Play next track in playlist"));
         nextAction->setCustomizable(true);
-        connect(nextAction, &NAction::triggered, player->playlistWidget(),
-                &NPlaylistWidget::playNextItem);
+        connect(nextAction, SIGNAL(triggered()), player->playlistWidget(),
+                SLOT(playNextItem()));
         m_trayIconMenu->addAction(nextAction);
         controlsMenu->addAction(nextAction);
     }
@@ -161,7 +164,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         NAction *addFilesAction = new NAction(QIcon::fromTheme("add", winIcons.value(171)),
                                               tr("Add Files..."), player);
         addFilesAction->setShortcut(QKeySequence("Ctrl+O"));
-        connect(addFilesAction, &NAction::triggered, player, &NPlayer::showOpenFileDialog);
+        connect(addFilesAction, SIGNAL(triggered()), player, SLOT(showOpenFileDialog()));
         m_contextMenu->addAction(addFilesAction);
         fileMenu->addAction(addFilesAction);
     }
@@ -170,7 +173,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         NAction *addDirAction = new NAction(QIcon::fromTheme("folder-add", winIcons.value(3)),
                                             tr("Add Directory..."), player);
         addDirAction->setShortcut(QKeySequence("Ctrl+Shift+O"));
-        connect(addDirAction, &NAction::triggered, player, &NPlayer::showOpenDirDialog);
+        connect(addDirAction, SIGNAL(triggered()), player, SLOT(showOpenDirDialog()));
         m_contextMenu->addAction(addDirAction);
         fileMenu->addAction(addDirAction);
     }
@@ -180,7 +183,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
                                                                    winIcons.value(175)),
                                                   tr("Save Playlist..."), player);
         savePlaylistAction->setShortcut(QKeySequence("Ctrl+S"));
-        connect(savePlaylistAction, &NAction::triggered, player, &NPlayer::showSavePlaylistDialog);
+        connect(savePlaylistAction, SIGNAL(triggered()), player, SLOT(showSavePlaylistDialog()));
         m_contextMenu->addAction(savePlaylistAction);
         fileMenu->addAction(savePlaylistAction);
     }
@@ -192,7 +195,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         NAction *preferencesAction = new NAction(QIcon::fromTheme("configure", winIcons.value(109)),
                                                  tr("Preferences..."), player);
         preferencesAction->setShortcut(QKeySequence("Ctrl+P"));
-        connect(preferencesAction, &NAction::triggered, player, &NPlayer::showPreferencesDialog);
+        connect(preferencesAction, SIGNAL(triggered()), player, SLOT(showPreferencesDialog()));
         m_trayIconMenu->addAction(preferencesAction);
         m_contextMenu->addAction(preferencesAction);
         fileMenu->addAction(preferencesAction);
@@ -204,10 +207,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         NAction *showCoverAction = new NAction(tr("Show Cover Art"), player);
         showCoverAction->setCheckable(true);
         showCoverAction->setObjectName("ShowCoverAction");
-        connect(showCoverAction, &NAction::toggled, [player](bool checked) {
-            player->settings()->setValue("ShowCoverArt", checked);
-            player->coverWidget()->setVisible(checked);
-        });
+        connect(showCoverAction, SIGNAL(toggled(bool)), this, SLOT(on_showCoverAction_toggled(bool)));
         showCoverAction->setChecked(player->settings()->value("ShowCoverArt").toBool());
         windowSubMenu->addAction(showCoverAction);
         windowMenu->addAction(showCoverAction);
@@ -217,8 +217,8 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         NAction *showPlaybackControlsAction = new NAction(tr("Show Playback Controls"), player);
         showPlaybackControlsAction->setCheckable(true);
         showPlaybackControlsAction->setObjectName("ShowPlaybackControls");
-        connect(showPlaybackControlsAction, &NAction::toggled, player->mainWindow(),
-                &NMainWindow::showPlaybackControls);
+        connect(showPlaybackControlsAction, SIGNAL(toggled(bool)), player->mainWindow(),
+                SLOT(showPlaybackControls(bool)));
         showPlaybackControlsAction->setChecked(
             player->settings()->value("ShowPlaybackControls").toBool());
         windowSubMenu->addAction(showPlaybackControlsAction);
@@ -228,7 +228,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
     {
         NAction *aboutAction = new NAction(QIcon::fromTheme("help", winIcons.value(76)),
                                            tr("About"), player);
-        connect(aboutAction, &NAction::triggered, player, &NPlayer::showAboutDialog);
+        connect(aboutAction, SIGNAL(triggered()), player, SLOT(showAboutDialog()));
         m_contextMenu->addAction(aboutAction);
         fileMenu->addAction(aboutAction);
     }
@@ -239,8 +239,8 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         NAction *exitAction = new NAction(QIcon::fromTheme("exit", winIcons.value(259)), tr("Exit"),
                                           player);
         exitAction->setShortcut(QKeySequence("Ctrl+Q"));
-        connect(exitAction, &NAction::triggered, QCoreApplication::instance(),
-                &QCoreApplication::quit);
+        connect(exitAction, SIGNAL(triggered()), QCoreApplication::instance(),
+                SLOT(quit()));
         m_contextMenu->addAction(exitAction);
         m_trayIconMenu->addAction(exitAction);
         fileMenu->addAction(exitAction);
@@ -250,15 +250,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         NAction *playingOnTopAction = new NAction(tr("On Top During Playback"), player);
         playingOnTopAction->setCheckable(true);
         playingOnTopAction->setObjectName("PlayingOnTopAction");
-        connect(playingOnTopAction, &NAction::toggled, [player](bool checked) {
-            player->settings()->setValue("WhilePlayingOnTop", checked);
-
-            bool alwaysOnTop = player->settings()->value("AlwaysOnTop").toBool();
-            if (!alwaysOnTop) {
-                player->mainWindow()->setOnTop(checked && player->playbackEngine()->state() ==
-                                                              N::PlaybackPlaying);
-            }
-        });
+        connect(playingOnTopAction, SIGNAL(toggled(bool)), this, SLOT(on_playingOnTopAction_toggled(bool)));
         playingOnTopAction->setChecked(player->settings()->value("WhilePlayingOnTop").toBool());
         windowSubMenu->addAction(playingOnTopAction);
         windowMenu->addAction(playingOnTopAction);
@@ -268,14 +260,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         NAction *alwaysOnTopAction = new NAction(tr("Always On Top"), player);
         alwaysOnTopAction->setCheckable(true);
         alwaysOnTopAction->setObjectName("AlwaysOnTopAction");
-        connect(alwaysOnTopAction, &NAction::toggled, [player](bool checked) {
-            player->settings()->setValue("AlwaysOnTop", checked);
-
-            bool whilePlaying = player->settings()->value("WhilePlayingOnTop").toBool();
-            if (!whilePlaying || player->playbackEngine()->state() != N::PlaybackPlaying) {
-                player->mainWindow()->setOnTop(checked);
-            }
-        });
+        connect(alwaysOnTopAction, SIGNAL(toggled(bool)), this, SLOT(on_alwaysOnTopAction_toggled(bool)));
         alwaysOnTopAction->setChecked(player->settings()->value("AlwaysOnTop").toBool());
         windowSubMenu->addAction(alwaysOnTopAction);
         windowMenu->addAction(alwaysOnTopAction);
@@ -286,8 +271,8 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         fullScreenAction->setStatusTip(tr("Hide all controls except waveform"));
         fullScreenAction->setObjectName("FullScreenAction");
         fullScreenAction->setCustomizable(true);
-        connect(fullScreenAction, &NAction::triggered, player->mainWindow(),
-                &NMainWindow::toggleFullScreen);
+        connect(fullScreenAction, SIGNAL(triggered()), player->mainWindow(),
+                SLOT(toggleFullScreen()));
         windowSubMenu->addAction(fullScreenAction);
         windowMenu->addAction(fullScreenAction);
     }
@@ -297,8 +282,8 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         shufflePlaylistAction->setObjectName("ShufflePlaylistAction");
         shufflePlaylistAction->setStatusTip(tr("Shuffle items in playlist"));
         shufflePlaylistAction->setCustomizable(true);
-        connect(shufflePlaylistAction, &NAction::triggered, player->playlistWidget(),
-                &NPlaylistWidget::shufflePlaylist);
+        connect(shufflePlaylistAction, SIGNAL(triggered()), player->playlistWidget(),
+                SLOT(shufflePlaylist()));
         playlistSubMenu->addAction(shufflePlaylistAction);
         controlsPlaylistSubMenu->addAction(shufflePlaylistAction);
     }
@@ -309,10 +294,10 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         repeatPlaylistAction->setObjectName("RepeatPlaylistAction");
         repeatPlaylistAction->setStatusTip(tr("Toggle current item repeat"));
         repeatPlaylistAction->setCustomizable(true);
-        connect(repeatPlaylistAction, &NAction::triggered, player->playlistWidget(),
-                &NPlaylistWidget::setRepeatMode);
-        connect(player->playlistWidget(), &NPlaylistWidget::repeatModeChanged, repeatPlaylistAction,
-                &NAction::setChecked);
+        connect(repeatPlaylistAction, SIGNAL(triggered(bool)), player->playlistWidget(),
+                SLOT(setRepeatMode(bool)));
+        connect(player->playlistWidget(), SIGNAL(repeatModeChanged(bool)), repeatPlaylistAction,
+                SLOT(setChecked(bool)));
         repeatPlaylistAction->setChecked(player->settings()->value("Repeat").toBool());
         playlistSubMenu->addAction(repeatPlaylistAction);
         controlsPlaylistSubMenu->addAction(repeatPlaylistAction);
@@ -322,8 +307,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         NAction *loopPlaylistAction = new NAction(tr("Loop playlist"), player);
         loopPlaylistAction->setCheckable(true);
         loopPlaylistAction->setObjectName("LoopPlaylistAction");
-        connect(loopPlaylistAction, &NAction::triggered,
-                [player](bool checked) { player->settings()->setValue("LoopPlaylist", checked); });
+        connect(loopPlaylistAction, SIGNAL(triggered(bool)), this, SLOT(on_loopPlaylistAction_triggered(bool)));
         loopPlaylistAction->setChecked(player->settings()->value("LoopPlaylist").toBool());
         playlistSubMenu->addAction(loopPlaylistAction);
         controlsPlaylistSubMenu->addAction(loopPlaylistAction);
@@ -335,8 +319,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         scrollToItemPlaylistAction->setStatusTip(
             tr("Automatically scroll playlist to currently playing item"));
         scrollToItemPlaylistAction->setObjectName("ScrollToItemPlaylistAction");
-        connect(scrollToItemPlaylistAction, &NAction::triggered,
-                [player](bool checked) { player->settings()->setValue("ScrollToItem", checked); });
+        connect(scrollToItemPlaylistAction, SIGNAL(triggered(bool)), this, SLOT(on_scrollToItemPlaylistAction_triggered(bool)));
         scrollToItemPlaylistAction->setChecked(player->settings()->value("ScrollToItem").toBool());
         playlistSubMenu->addAction(scrollToItemPlaylistAction);
         controlsPlaylistSubMenu->addAction(scrollToItemPlaylistAction);
@@ -347,8 +330,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
                                                     player);
         nextFileEnableAction->setCheckable(true);
         nextFileEnableAction->setObjectName("NextFileEnableAction");
-        connect(nextFileEnableAction, &NAction::triggered,
-                [player](bool checked) { player->settings()->setValue("LoadNext", checked); });
+        connect(nextFileEnableAction, SIGNAL(triggered(bool)), this, SLOT(on_nextFileEnableAction_triggered(bool)));
         nextFileEnableAction->setChecked(player->settings()->value("LoadNext").toBool());
         playlistSubMenu->addAction(nextFileEnableAction);
         controlsPlaylistSubMenu->addAction(nextFileEnableAction);
@@ -357,9 +339,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
             new NAction(QString::fromUtf8("    ├  %1 ↓").arg(tr("By Name")), player);
         nextFileByNameAscdAction->setCheckable(true);
         nextFileByNameAscdAction->setObjectName("NextFileByNameAscdAction");
-        connect(nextFileByNameAscdAction, &NAction::triggered, [player](bool checked) {
-            player->settings()->setValue("LoadNextSort", (int)QDir::Name);
-        });
+        connect(nextFileByNameAscdAction, SIGNAL(triggered(bool)), this, SLOT(on_nextFileByNameAscdAction_triggered(bool)));
         playlistSubMenu->addAction(nextFileByNameAscdAction);
         controlsPlaylistSubMenu->addAction(nextFileByNameAscdAction);
 
@@ -367,9 +347,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
             new NAction(QString::fromUtf8("    ├  %1 ↑").arg(tr("By Name")), player);
         nextFileByNameDescAction->setCheckable(true);
         nextFileByNameDescAction->setObjectName("NextFileByNameDescAction");
-        connect(nextFileByNameDescAction, &NAction::triggered, [player](bool checked) {
-            player->settings()->setValue("LoadNextSort", (int)(QDir::Name | QDir::Reversed));
-        });
+        connect(nextFileByNameDescAction, SIGNAL(triggered(bool)), this, SLOT(on_nextFileByNameDescAction_triggered(bool)));
         playlistSubMenu->addAction(nextFileByNameDescAction);
         controlsPlaylistSubMenu->addAction(nextFileByNameDescAction);
 
@@ -377,9 +355,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
             new NAction(QString::fromUtf8("    ├  %1 ↓").arg(tr("By Date")), player);
         nextFileByDateAscd->setCheckable(true);
         nextFileByDateAscd->setObjectName("NextFileByDateAscd");
-        connect(nextFileByDateAscd, &NAction::triggered, [player](bool checked) {
-            player->settings()->setValue("LoadNextSort", (int)(QDir::Time | QDir::Reversed));
-        });
+        connect(nextFileByDateAscd, SIGNAL(triggered(bool)), this, SLOT(on_nextFileByDateAscdAction_triggered(bool)));
         playlistSubMenu->addAction(nextFileByDateAscd);
         controlsPlaylistSubMenu->addAction(nextFileByDateAscd);
 
@@ -387,9 +363,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
             new NAction(QString::fromUtf8("    └  %1 ↑").arg(tr("By Date")), player);
         nextFileByDateDesc->setCheckable(true);
         nextFileByDateDesc->setObjectName("NextFileByDateDesc");
-        connect(nextFileByDateDesc, &NAction::triggered, [player](bool checked) {
-            player->settings()->setValue("LoadNextSort", (int)(QDir::Time));
-        });
+        connect(nextFileByDateDesc, SIGNAL(triggered(bool)), this, SLOT(on_nextFileByDateDescAction_triggered(bool)));
         playlistSubMenu->addAction(nextFileByDateDesc);
         controlsPlaylistSubMenu->addAction(nextFileByDateDesc);
 
@@ -417,18 +391,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         revealAction->setObjectName("RevealInFileManagerAction");
         revealAction->setStatusTip(tr("Open file manager for selected file"));
         revealAction->setCustomizable(true);
-        connect(revealAction, &NAction::triggered, [player]() {
-            QStringList files = player->playlistWidget()->selectedFiles();
-            if (files.isEmpty()) {
-                return;
-            }
-
-            QString error;
-            if (!player->revealInFileManager(files.first(), &error)) {
-                QMessageBox::warning(player->mainWindow(), tr("Reveal in File Manager Error"),
-                                     error, QMessageBox::Close);
-            }
-        });
+        connect(revealAction, SIGNAL(triggered()), this, SLOT(on_revealAction_triggered()));
         m_playlistContextMenu->addAction(revealAction);
     }
 
@@ -438,8 +401,8 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         removeSelectedAction->setObjectName("RemoveFromPlaylistAction");
         removeSelectedAction->setStatusTip(tr("Remove selected files from playlist"));
         removeSelectedAction->setCustomizable(true);
-        connect(removeSelectedAction, &NAction::triggered, player->playlistWidget(),
-                &NPlaylistWidget::removeSelected);
+        connect(removeSelectedAction, SIGNAL(triggered()), player->playlistWidget(),
+                SLOT(removeSelected()));
         m_playlistContextMenu->addAction(removeSelectedAction);
     }
 
@@ -450,15 +413,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         trashSelectedAction->setObjectName("MoveToTrashAction");
         trashSelectedAction->setStatusTip(tr("Move selected files to trash bin"));
         trashSelectedAction->setCustomizable(true);
-        connect(trashSelectedAction, &NAction::triggered, [player]() {
-            QStringList files = player->playlistWidget()->selectedFiles();
-            if (files.isEmpty()) {
-                return;
-            }
-
-            QStringList deleted = NTrash::moveToTrash(files);
-            player->playlistWidget()->removeFiles(deleted);
-        });
+        connect(trashSelectedAction, SIGNAL(triggered()), this, SLOT(on_trashSelectedAction_triggered()));
         m_playlistContextMenu->addAction(trashSelectedAction);
     }
 
@@ -468,13 +423,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         tagEditorAction->setObjectName("TagEditorAction");
         tagEditorAction->setStatusTip(tr("Open tag editor for selected file"));
         tagEditorAction->setCustomizable(true);
-        connect(tagEditorAction, &NAction::triggered, [player]() {
-            QStringList files = player->playlistWidget()->selectedFiles();
-            if (files.isEmpty()) {
-                return;
-            }
-            player->showTagEditor(files.first());
-        });
+        connect(tagEditorAction, SIGNAL(triggered()), this, SLOT(on_tagEditorAction_triggered()));
         m_playlistContextMenu->addAction(tagEditorAction);
     }
 
@@ -485,19 +434,13 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         jumpForwardAction->setObjectName(QString("Jump%1ForwardAction").arg(num));
         jumpForwardAction->setStatusTip(tr("Make a jump forward #%1").arg(num));
         jumpForwardAction->setCustomizable(true);
-        connect(jumpForwardAction, &NAction::triggered, [player, num]() {
-            qreal seconds = player->settings()->value(QString("Jump%1").arg(num)).toDouble();
-            player->playbackEngine()->jump(seconds * 1000);
-        });
+        connect(jumpForwardAction, SIGNAL(triggered()), this, SLOT(on_jumpForwardAction_triggered()));
 
         NAction *jumpBackwardsAction = new NAction(tr("Jump Backwards #%1").arg(num), player);
         jumpBackwardsAction->setObjectName(QString("Jump%1BackwardsAction").arg(num));
         jumpBackwardsAction->setStatusTip(tr("Make a jump backwards #%1").arg(num));
         jumpBackwardsAction->setCustomizable(true);
-        connect(jumpBackwardsAction, &NAction::triggered, [player, num]() {
-            qreal seconds = player->settings()->value(QString("Jump%1").arg(num)).toDouble();
-            player->playbackEngine()->jump(-seconds * 1000);
-        });
+        connect(jumpBackwardsAction, SIGNAL(triggered()), this, SLOT(on_jumpBackwardsAction_triggered()));
     }
 
     {
@@ -505,33 +448,19 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         speedIncreaseAction->setObjectName("SpeedIncreaseAction");
         speedIncreaseAction->setStatusTip(tr("Increase playback speed"));
         speedIncreaseAction->setCustomizable(true);
-        connect(speedIncreaseAction, &NAction::triggered, [player]() {
-            qreal newSpeed = qMax(0.01, player->playbackEngine()->speed() +
-                                            player->settings()->value("SpeedStep").toDouble());
-            player->playbackEngine()->setSpeed(newSpeed);
-            player->showToolTip(tr("Speed: %1").arg(player->playbackEngine()->speed()));
-        });
+        connect(speedIncreaseAction, SIGNAL(triggered()), this, SLOT(on_speedIncreaseAction_triggered()));
 
         NAction *speedDecreaseAction = new NAction(tr("Speed Decrease"), player);
         speedDecreaseAction->setObjectName("SpeedDecreaseAction");
         speedDecreaseAction->setStatusTip(tr("Decrease playback speed"));
         speedDecreaseAction->setCustomizable(true);
-        connect(speedDecreaseAction, &NAction::triggered, [player]() {
-            qreal newSpeed = qMax(0.01, player->playbackEngine()->speed() -
-                                            player->settings()->value("SpeedStep").toDouble());
-            player->playbackEngine()->setSpeed(newSpeed);
-            player->showToolTip(tr("Speed: %1").arg(player->playbackEngine()->speed()));
-        });
+        connect(speedDecreaseAction, SIGNAL(triggered()), this, SLOT(on_speedDecreaseAction_triggered()));
 
         NAction *speedResetAction = new NAction(tr("Speed Reset"), player);
         speedResetAction->setObjectName("SpeedResetAction");
         speedResetAction->setStatusTip(tr("Reset playback speed to 1.0"));
         speedResetAction->setCustomizable(true);
-        connect(speedResetAction, &NAction::triggered, [player]() {
-            qreal newSpeed = 1.0;
-            player->playbackEngine()->setSpeed(newSpeed);
-            player->showToolTip(tr("Speed: %1").arg(player->playbackEngine()->speed()));
-        });
+        connect(speedResetAction, SIGNAL(triggered()), this, SLOT(on_speedResetAction_triggered()));
     }
 
     /*
@@ -540,37 +469,23 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
         pitchIncreaseAction->setObjectName("PitchIncreaseAction");
         pitchIncreaseAction->setStatusTip(tr("Increase playback pitch"));
         pitchIncreaseAction->setCustomizable(true);
-        connect(pitchIncreaseAction, &NAction::triggered, [player]() {
-            qreal newPitch = qMax(0.01, player->playbackEngine()->pitch() +
-                                            player->settings()->value("PitchStep").toDouble());
-            player->playbackEngine()->setPitch(newPitch);
-            player->showToolTip(tr("Pitch: %1").arg(player->playbackEngine()->pitch()));
-        });
+        connect(pitchIncreaseAction, SIGNAL(triggered()), this, SLOT(on_pitchIncreaseAction_triggered()));
 
         NAction *pitchDecreaseAction = new NAction(tr("Pitch Decrease"), player);
         pitchDecreaseAction->setObjectName("PitchDecreaseAction");
         pitchDecreaseAction->setStatusTip(tr("Decrease playback pitch"));
         pitchDecreaseAction->setCustomizable(true);
-        connect(pitchDecreaseAction, &NAction::triggered, [player]() {
-            qreal newPitch = qMax(0.01, player->playbackEngine()->pitch() -
-                                            player->settings()->value("PitchStep").toDouble());
-            player->playbackEngine()->setPitch(newPitch);
-            player->showToolTip(tr("Pitch: %1").arg(player->playbackEngine()->pitch()));
-        });
+        connect(pitchDecreaseAction, SIGNAL(triggered()), this, SLOT(on_pitchDecreaseAction_triggered()));
 
         NAction *pitchResetAction = new NAction(tr("Pitch Reset"), player);
         pitchResetAction->setObjectName("PitchResetAction");
         pitchResetAction->setStatusTip(tr("Reset pitch to 1.0"));
         pitchResetAction->setCustomizable(true);
-        connect(pitchResetAction, &NAction::triggered, [player]() {
-            qreal newPitch = 1.0;
-            player->playbackEngine()->setPitch(newPitch);
-            player->showToolTip(tr("Pitch: %1").arg(player->playbackEngine()->pitch()));
-        });
+        connect(pitchResetAction, SIGNAL(triggered()), this, SLOT(on_pitchResetAction_triggered()));
     }
     */
 
-    for (NAction *action : m_player->findChildren<NAction *>()) {
+    foreach (NAction *action, m_player->findChildren<NAction *>()) {
 #ifdef Q_OS_MAC
         // remove icons for macOS:
         action->setIcon(QIcon());
@@ -588,7 +503,7 @@ NActionManager::NActionManager(NPlayer *player) : QObject(player)
 
 void NActionManager::saveSettings()
 {
-    for (NAction *action : m_player->findChildren<NAction *>()) {
+    foreach (NAction *action, m_player->findChildren<NAction *>()) {
         if (action->objectName().isEmpty() || !action->isCustomizable()) {
             continue;
         }
